<header class="intro-header">
  <!-- Full Page Intro -->
  <div
    class="view full-page-intro"
    style="
      background-image: url('assets/images/signup/background_unsplash.jpg');
      background-size: cover;
      background-position: center;
      background-repeat: no-repeat;
      background-attachment: fixed;
    "
  >
    <!-- Mask & flexbox options-->
    <div
      class="mask rgba-black-light d-flex justify-content-center align-items-center"
    >
      <!-- Content -->
      <div class="container mt-5">
        <div class="row d-flex justify-content-center">
          <div class="col-12 col-md-8 col-lg-6">
            <mdb-card class="bg-color">
              <mdb-card-body class="text-white">
                <mdb-card-title class="text-center">
                  <h2 class="font-heading">Already own an Account?</h2>
                </mdb-card-title>
                <!-- Default form login -->
                <form class="text-center" [formGroup]="loginForm">
                  <p class="h4 font-heading margin-bottom-big">
                    Sign in And manage your tours!
                  </p>

                  <div class="flex-wrapper">
                    <!-- Email -->
                    <input
                      type="email"
                      id="defaultLoginFormEmail"
                      class="form-control mb-4 width-custom-input"
                      placeholder="E-mail"
                      formControlName="email"
                    />

                    <!-- Password -->
                    <input
                      type="password"
                      id="defaultLoginFormPassword"
                      class="form-control mb-4 width-custom-input"
                      placeholder="Password"
                      formControlName="password"
                    />
                  </div>

                  <div class="d-flex justify-content-around">
                    <div>
                      <!-- Remember me -->
                      <mdb-checkbox
                        [default]="true"
                        formControlName="rememberMe"
                        >Remember me</mdb-checkbox
                      >
                    </div>
                    <div>
                      <!-- Forgot password -->
                      <a href="">Forgot password?</a>
                    </div>
                  </div>

                  <!-- Sign in button -->
                  <a
                    class="waves-light width-custom"
                    color="white"
                    mdbBtn
                    mdbWavesEffect
                    outline="true"
                    (click)="onLogin()"
                    >Login</a
                  >

                  <!-- Register -->
                  <p>
                    Not a member?
                    <a routerLink="/auth/sign_up">Register</a>
                  </p>

                  <!-- Social login -->
                  <p>or sign in with:</p>

                  <a type="button" class="light-blue-text mx-2">
                    <mdb-icon fab icon="facebook"></mdb-icon>
                  </a>
                  <a type="button" class="light-blue-text mx-2">
                    <mdb-icon fab icon="twitter"></mdb-icon>
                  </a>
                  <a type="button" class="light-blue-text mx-2">
                    <mdb-icon fab icon="linkedin"></mdb-icon>
                  </a>
                  <a type="button" class="light-blue-text mx-2">
                    <mdb-icon fab icon="github"></mdb-icon>
                  </a>
                </form>
                <!-- Default form login -->
              </mdb-card-body>
            </mdb-card>
          </div>
        </div>
      </div>
    </div>
  </div>
</header>
